dofile('data/Scenes/35_temple_2_Anim_Water_Loop.lua')
dofile('data/Scenes/35_temple_2_Anim_Water_Start.lua')

local PATH_COMICS_35_ON_SHOWN           = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
local PATH_COMICS_35_ON_WIN             = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
local PATH_COMICS_35_PLIERS             = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_35_HAMMER             = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_35_BULB_WATER         = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_35_SUN                = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_35_DOOR               = 'data/Scenes/Comics/HelpersComicsReplic.lua'

local PATH_MINIGAME_CIRCLE_PUZZLE       = 'data/Scenes/Minigames/34_circle_puzzle.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
    ---------------------------------------------------------------------------------------------
    AddRandomTasks(13,
                     CreateTask('BINOCULAR', '', 'binocular'),
                     CreateTask('BOOMERANG', '', 'boomerang'),
                     CreateTask('CANOE', '', 'canoe'),
                     CreateTask('DAGGER', 'DAGGERS', 'dagger_1', 'dagger_2', 'dagger_3'),
                     CreateTask('ELEPHANT', '', 'elephant'),
                     CreateTask('FIFE', '', 'fife'),
                     CreateTask('GUN', '', 'gun'),
                     CreateTask('INDIAN_HAT', '', 'indian_hat'),
                     CreateTask('KEY', 'KEYS', 'key_1', 'key_2', 'key_3', 'key_4', 'key_5', 'key_6'),
                     CreateTask('LANCE', 'LANCES', 'lance_1', 'lance_2'),
                     CreateTask('LIZARD', '', 'lizard'),
                     CreateTask('MANGO', '', 'mango'),
                     CreateTask('MOCCASINS', '', 'moccasines'),
                     CreateTask('NECKLACE', 'NECKLACES', 'necklace_1', 'necklace_2', 'necklace_3s'),
                     CreateTask('PINEAPPLE', '', 'pineapple'),
                     CreateTask('PIPE', '', 'pipe'),
                     CreateTask('TOTEM', '', 'totem'),
                     
                     CreateTask('BAG', '', 'bag'),
                     CreateTask('BIRD', 'BIRDS', 'bird_2', 'bird_3', 'bird_4'),
                     CreateTask('CRAB', 'CRABS', 'crab', 'crab_2'),
                     CreateTask('HORSE', 'HORSES', 'horse', 'horse_2'),
                     CreateTask('CROWN', 'CROWNS', 'crown', 'crown_2')
                    )
    pf:IgnoreOnTestPoint('mango_over')
    ---------------------------------------------------------------------------------------------
    local water_loop = createCompositionWaterLoop()
    water_loop:AttachTo(screen)
    water_loop:SetZ(90.1)
    water_loop:SetCyclic(true)
    water_loop:SetVisible(false)
    game_state.water_loop = water_loop
    ---------------------------------------------------------------------------------------------
    local zone_barrel = CreateZoomZone('close_zone_barrel',
                                       'pixel_open_barrel',
                                       'ZoomBarrel',
                                       'pliers'
                                      )
    ---------------------------------------------------------------------------------------------
    local zone_chest = CreateZoomZone('close_zone_chest',
                                      'pixel_open_chest',
                                      'ZoomChest',
                                      'table',
                                      'sun',
                                      'nail',
                                      'pixel_use_pliers'
                                     )
    pf:GetObject('pixel_use_pliers'):SetMaxOpacity(0.01)
    ---------------------------------------------------------------------------------------------
    pf:IgnoreOnTestPoint('layer_flank_empty')
    pf:GetObject('layer_flank_empty'):SetOpacity(0)
    pf:GetObject('pixel_use_hammer'):SetOpacity(1)
    pf:GetObject('pixel_use_hammer'):GetAnimation():SetColor('0x01FFFFFF')
    apply_action_hammer = function(save)
                            if save then
                                pf:GetObject('layer_flank_empty'):SetOpacity(1)
                            else
                                pf:GetObject('layer_flank_empty'):ChangeOpacity(0, 1, 0.2)
                                MakeSoundEntity('35_use_hammer'):Play(false)
                            end
                            pf:GetObject('pixel_use_hammer'):SetOpacity(0)
                            if pf:HasObject('pixel_open_barrel') then
                                pf:GetObject('pixel_open_barrel'):SetOpacity(0.01)                            
                            end
                          end
    local photo_hammer   = CreatePhotoZone('hammer',
                                           'HAMMER', 
                                           'photo_hammer', nil, 
                                           'pixel_use_hammer',
                                           apply_action_hammer)
    ---------------------------------------------------------------------------------------------
    apply_action_pliers = function(save)
                            local ang_table = -1.4
    
                            if save then
                                pf:GetObject('nail'):SetOpacity(0)
                                pf:GetObject('nail'):SetMaxOpacity(0)
                                pf:GetObject('table'):SetAngle(ang_table)
                            else
                                local time_nail  = 0.2
                                local time_table = 0.2
                                pf:GetObject('nail'):ChangeOpacity(1, 0, time_nail)
                                pf:GetObject('nail'):SetMaxOpacity(0)
                                TimerDo(pf:GetTimer(), time_nail, function()
                                                                      local af = CreateAnimationEffector()
                                                                      af:AttachTo(pf:GetObject('table'))
                                                                      af:SetKey(_TRACK_A, 0,          pf:GetObject('nail'):GetAngle())
                                                                      af:SetKey(_TRACK_A, time_table, pf:GetObject('nail'):GetAngle() + ang_table)
                                                                      af:Play()      
                                                                  end )
                                zone_chest.Blocked(time_nail + time_table)
                                MakeSoundEntity('35_use_pliers'):Play(false)
                            end
                            
                            pf:GetObject('pixel_use_pliers'):SetOpacity(0)
                            pf:GetObject('pixel_use_pliers'):SetMaxOpacity(0)
                          end  
    local photo_pliers   = CreatePhotoZone('pliers',
                                           'PLIERS', 
                                           'photo_pliers', nil, 
                                           'pixel_use_pliers',
                                           apply_action_pliers)
    ---------------------------------------------------------------------------------------------
    local clickOnDoor = function(save)
        if not save then
            game_state.chain_door.Play()
        end
    end
    RegisterActiveObject('door_water', clickOnDoor, true, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    pf:GetObject('door_water'):GetAnimation():SetColor('0xFFFFFFFF')
    pf:GetObject('door_water'):SetOpacity(1)
    game_state.sound_noise_in_door = MakeSoundEntity('35_noise_in_door')
    game_state.sound_noise_in_door:Play(true)
    apply_action_bulb_water = function(save)
        if save then
            pf:GetObject('door_water'):SetOpacity(0)
            
            game_state.water_loop:SetVisible(true)
            game_state.water_loop:Play()
        else
            pf:GetObject('door_water'):ChangeOpacity(1, 0, 0.3)
            
            local water_start = createCompositionWaterStart()
            water_start:AttachTo(screen)
            water_start:SetZ(90)
            water_start:Play()
            
            local duration = water_start:GetDuration()
            TimerDo(pf:GetTimer(), duration - 1, function()
                                                    game_state.water_loop:SetVisible(true)
                                                    game_state.water_loop:Play()
                                                 end )
        end
        NotesFound('Notes_18')
        game_state.sound_noise_in_door:Stop()
        MakeSoundEntity('35_pour_water'):Play(true)
        UnregisterActiveObject('door_water')
    end
    local photo_water   = CreatePhotoZoneEx(nil, 'bulb_water', 'BULB_WATER', 'photo_bulb_water', function() end, 'pixel_use_bulb_water', apply_action_bulb_water)
    photo_water.zone.SetPhotoMade()
    ---------------------------------------------------------------------------------------------
    pf:GetObject('mg_layer'):SetOpacity(0)
    local apply_action_sun = function(save)
        if save then
            pf:GetObject('mg_layer'):SetOpacity(1)
        else
            pf:GetObject('mg_layer'):ChangeOpacity(0, 1, 0.1)
            MakeSoundEntity('35_input_artefact'):Play(false)
        end
    end
    local photo_sun   = CreatePhotoZone('sun', 'SUN', 'photo_sun', nil, 'pixel_use_sun', apply_action_sun)
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneSMS(PATH_COMICS_35_ON_SHOWN, 'COMICS_35_ON_SHOWN')
                                                 end )
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneSMS(PATH_COMICS_35_ON_WIN, 'COMICS_35_ON_WIN')
                                                 end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end
    game_state.chain_pliers = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_35_PLIERS, 'COMICS_35_PLIERS')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_pliers, game_state.chain_pliers)
    
    game_state.chain_hammer = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_35_HAMMER, 'COMICS_35_HAMMER')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_hammer, game_state.chain_hammer)
    
    game_state.chain_bulb_water = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_35_BULB_WATER, 'COMICS_35_BULB_WATER')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_water, game_state.chain_bulb_water)
    
    game_state.chain_sun = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_35_SUN, 'COMICS_35_SUN')
	                                             end )
    SetHintComicsPhotoZoneEx(photo_sun, game_state.chain_sun)
    
    game_state.chain_door = RegisterComicsEx(function()
	                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_35_DOOR, 'COMICS_35_DOOR')
	                                             end )
    game_state.chain_door.SetRepeat(true)
    ---------------------------------------------------------------------------------------------
    RegisterMiniGame(PATH_MINIGAME_CIRCLE_PUZZLE, function()
                                                LoadMiniGames(PATH_MINIGAME_CIRCLE_PUZZLE)
                                            end )
    ---------------------------------------------------------------------------------------------
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()  
    end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
    if mini_game == PATH_MINIGAME_CIRCLE_PUZZLE then
        OnWin()
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
    
    if tool:GetName() == 'sun' and object:GetName() == 'pixel_use_sun' then
        PlayRegisterMiniGame(PATH_MINIGAME_CIRCLE_PUZZLE)
    end
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
    if IsMiniGamePlay(PATH_MINIGAME_CIRCLE_PUZZLE) and play_field:GetLevelScreen():IsCompleteLevel() then
        game_state.chain_on_win.Play()
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/binocular.png',0,0,62,57,1,0)
	anim:SetHotSpot(31,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,475,665,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/boomerang.png',0,0,57,48,1,0)
	anim:SetHotSpot(28,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boomerang',anim,326,619,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/canoe.png',0,0,74,179,1,0)
	anim:SetHotSpot(37,89)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('canoe',anim,823,401,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/dagger_1.png',0,0,145,34,1,0)
	anim:SetHotSpot(72,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger_1',anim,767,673,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/dagger_2.png',0,0,47,120,1,0)
	anim:SetHotSpot(23,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger_2',anim,339,516,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/dagger_3.png',0,0,118,40,1,0)
	anim:SetHotSpot(59,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dagger_3',anim,294,651,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/elephant.png',0,0,77,61,1,0)
	anim:SetHotSpot(38,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('elephant',anim,615,559,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/fife.png',0,0,103,44,1,0)
	anim:SetHotSpot(51,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fife',anim,500,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/gun.png',0,0,85,39,1,0)
	anim:SetHotSpot(42,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,900,619,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/indian_hat.png',0,0,63,92,1,0)
	anim:SetHotSpot(31,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('indian_hat',anim,227,141,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_1.png',0,0,37,62,1,0)
	anim:SetHotSpot(18,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_1',anim,962,572,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_2.png',0,0,65,30,1,0)
	anim:SetHotSpot(32,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_2',anim,984,646,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_3.png',0,0,33,60,1,0)
	anim:SetHotSpot(16,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_3',anim,872,552,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_4.png',0,0,47,20,1,0)
	anim:SetHotSpot(23,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_4',anim,757,553,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_5.png',0,0,41,62,1,0)
	anim:SetHotSpot(20,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_5',anim,852,629,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/key_6.png',0,0,47,37,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_6',anim,365,683,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/lance_1.png',0,0,39,172,1,0)
	anim:SetHotSpot(19,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lance_1',anim,401,401,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/lance_2.png',0,0,38,180,1,0)
	anim:SetHotSpot(19,90)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lance_2',anim,777,414,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/lizard.png',0,0,40,89,1,0)
	anim:SetHotSpot(20,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizard',anim,499,201,220,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/mango.png',0,0,31,25,1,0)
	anim:SetHotSpot(15,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mango',anim,1000,569,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/moccasines.png',0,0,60,40,1,0)
	anim:SetHotSpot(30,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('moccasines',anim,737,504,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/necklace_1.png',0,0,54,83,1,0)
	anim:SetHotSpot(27,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace_1',anim,233,269,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/necklace_2.png',0,0,59,63,1,0)
	anim:SetHotSpot(29,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace_2',anim,620,196,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/necklace_3.png',0,0,106,39,1,0)
	anim:SetHotSpot(53,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('necklace_3',anim,801,644,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/pineapple.png',0,0,47,72,1,0)
	anim:SetHotSpot(23,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pineapple',anim,426,468,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/pipe.png',0,0,60,81,1,0)
	anim:SetHotSpot(30,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,949,635,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/totem.png',0,0,58,162,1,0)
	anim:SetHotSpot(29,81)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('totem',anim,220,425,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/animations/door_water.png',0,0,157,238,32,10)
	anim:SetHotSpot(78,119)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('door_water',anim,602,351,190,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/layer_flank_empty.png',0,0,110,66,1,0)
	anim:SetHotSpot(55,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_flank_empty',anim,880,696,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomBarrel/ZoomBarrel.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBarrel',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomBarrel/pliers.png',0,0,261,200,1,0)
	anim:SetHotSpot(130,100)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pliers',anim,471,398,720,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/hammer.png',0,0,81,31,1,0)
	anim:SetHotSpot(40,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,654,111,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/photo/photo_hammer.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_hammer',anim,97,702,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_hammer',anim,879,723,100,0,0.9,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_open_barrel',anim,879,723,105,0,0.9,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/photo/photo_pliers.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_pliers',anim,60,802,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_chest',anim,471,553,100,0,16.96,8)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomChest/ZoomChest.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomChest',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomChest/table.png',0,0,240,149,1,0)
	anim:SetHotSpot(217,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('table',anim,569,269,950,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomChest/sun.png',0,0,104,105,1,0)
	anim:SetHotSpot(52,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sun',anim,468,324,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/ZoomChest/nail.png',0,0,18,30,1,0)
	anim:SetHotSpot(9,15)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('nail',anim,369,275,960,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_use_pliers',anim,469,321,980,0,26,16)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/photo/photo_bulb_water.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_bulb_water',anim,47,784,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/bulb_water.png',0,0,89,108,1,0)
	anim:SetHotSpot(44,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb_water',anim,80,379,1000,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_use_bulb_water',anim,266,344,100,0,6,10)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/photo/photo_sun.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_sun',anim,-25,843,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_use_sun',anim,605,349,120,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/bag.png',0,0,63,85,1,0)
	anim:SetHotSpot(31,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,920,490,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/bird_2.png',0,0,74,51,1,0)
	anim:SetHotSpot(37,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_2',anim,768,132,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/bird_3.png',0,0,55,45,1,0)
	anim:SetHotSpot(27,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_3',anim,683,193,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/bird_4.png',0,0,52,67,1,0)
	anim:SetHotSpot(26,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_4',anim,999,487,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/crab.png',0,0,59,50,1,0)
	anim:SetHotSpot(29,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crab',anim,552,650,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/crab_2.png',0,0,72,50,1,0)
	anim:SetHotSpot(36,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crab_2',anim,547,194,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/horse.png',0,0,51,42,1,0)
	anim:SetHotSpot(25,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse',anim,919,550,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/horse_2.png',0,0,59,56,1,0)
	anim:SetHotSpot(29,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('horse_2',anim,888,94,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/animations/mask_animation.png',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask_animation',anim,512,388,95,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/mg_layer.png',0,0,88,80,1,0)
	anim:SetHotSpot(44,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mg_layer',anim,604,344,150,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/mango_over.png',0,0,31,27,1,0)
	anim:SetHotSpot(15,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mango_over',anim,1000,584,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/lance 2_over.png',0,0,25,55,1,0)
	anim:SetHotSpot(12,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lance 2_over',anim,795,482,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/lance 1_over.png',0,0,33,67,1,0)
	anim:SetHotSpot(16,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lance 1_over',anim,400,456,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/canoe_over.png',0,0,88,188,1,0)
	anim:SetHotSpot(44,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('canoe_over',anim,836,412,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Layers/boomerang_over.png',0,0,23,23,1,0)
	anim:SetHotSpot(11,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boomerang_over',anim,304,607,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/crown_2.png',0,0,40,43,1,0)
	anim:SetHotSpot(20,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crown_2',anim,742,443,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/35_temple_2_/Items/crown.png',0,0,53,46,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crown',anim,469,422,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
